# -*- coding: ascii -*- pylint: disable = C0302
u"""
:Copyright:

 Copyright 2012 - 2013
 Andr\xe9 Malo or his licensors, as applicable

:License:

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

==================================
 HTML5 named character references
==================================

HTML5 named character references.
"""
__author__ = u"Andr\xe9 Malo"
__docformat__ = "restructuredtext en"


#: HTML named character references, generated from
#: `the HTML5 spec`_\.
#:
#: .. _the HTML5 spec: http://www.w3.org/TR/html5/
#:    syntax.html#named-character-references
#:
#: :Type: ``dict``
htmlentities = {
    u'Aacute': u'\xc1',
    u'aacute': u'\xe1',
    u'Abreve': u'\u0102',
    u'abreve': u'\u0103',
    u'ac': u'\u223e',
    u'acd': u'\u223f',
    u'acE': u'\u223e\u0333',
    u'Acirc': u'\xc2',
    u'acirc': u'\xe2',
    u'acute': u'\xb4',
    u'Acy': u'\u0410',
    u'acy': u'\u0430',
    u'AElig': u'\xc6',
    u'aelig': u'\xe6',
    u'af': u'\u2061',
    u'Afr': '5\xd8\x04\xdd'.decode("utf-16-le"),
    u'afr': '5\xd8\x1e\xdd'.decode("utf-16-le"),
    u'Agrave': u'\xc0',
    u'agrave': u'\xe0',
    u'alefsym': u'\u2135',
    u'aleph': u'\u2135',
    u'Alpha': u'\u0391',
    u'alpha': u'\u03b1',
    u'Amacr': u'\u0100',
    u'amacr': u'\u0101',
    u'amalg': u'\u2a3f',
    u'AMP': u'&',
    u'amp': u'&',
    u'And': u'\u2a53',
    u'and': u'\u2227',
    u'andand': u'\u2a55',
    u'andd': u'\u2a5c',
    u'andslope': u'\u2a58',
    u'andv': u'\u2a5a',
    u'ang': u'\u2220',
    u'ange': u'\u29a4',
    u'angle': u'\u2220',
    u'angmsd': u'\u2221',
    u'angmsdaa': u'\u29a8',
    u'angmsdab': u'\u29a9',
    u'angmsdac': u'\u29aa',
    u'angmsdad': u'\u29ab',
    u'angmsdae': u'\u29ac',
    u'angmsdaf': u'\u29ad',
    u'angmsdag': u'\u29ae',
    u'angmsdah': u'\u29af',
    u'angrt': u'\u221f',
    u'angrtvb': u'\u22be',
    u'angrtvbd': u'\u299d',
    u'angsph': u'\u2222',
    u'angst': u'\xc5',
    u'angzarr': u'\u237c',
    u'Aogon': u'\u0104',
    u'aogon': u'\u0105',
    u'Aopf': '5\xd88\xdd'.decode("utf-16-le"),
    u'aopf': '5\xd8R\xdd'.decode("utf-16-le"),
    u'ap': u'\u2248',
    u'apacir': u'\u2a6f',
    u'apE': u'\u2a70',
    u'ape': u'\u224a',
    u'apid': u'\u224b',
    u'apos': u'\'',
    u'ApplyFunction': u'\u2061',
    u'approx': u'\u2248',
    u'approxeq': u'\u224a',
    u'Aring': u'\xc5',
    u'aring': u'\xe5',
    u'Ascr': '5\xd8\x9c\xdc'.decode("utf-16-le"),
    u'ascr': '5\xd8\xb6\xdc'.decode("utf-16-le"),
    u'Assign': u'\u2254',
    u'ast': u'*',
    u'asymp': u'\u2248',
    u'asympeq': u'\u224d',
    u'Atilde': u'\xc3',
    u'atilde': u'\xe3',
    u'Auml': u'\xc4',
    u'auml': u'\xe4',
    u'awconint': u'\u2233',
    u'awint': u'\u2a11',
    u'backcong': u'\u224c',
    u'backepsilon': u'\u03f6',
    u'backprime': u'\u2035',
    u'backsim': u'\u223d',
    u'backsimeq': u'\u22cd',
    u'Backslash': u'\u2216',
    u'Barv': u'\u2ae7',
    u'barvee': u'\u22bd',
    u'Barwed': u'\u2306',
    u'barwed': u'\u2305',
    u'barwedge': u'\u2305',
    u'bbrk': u'\u23b5',
    u'bbrktbrk': u'\u23b6',
    u'bcong': u'\u224c',
    u'Bcy': u'\u0411',
    u'bcy': u'\u0431',
    u'bdquo': u'\u201e',
    u'becaus': u'\u2235',
    u'Because': u'\u2235',
    u'because': u'\u2235',
    u'bemptyv': u'\u29b0',
    u'bepsi': u'\u03f6',
    u'bernou': u'\u212c',
    u'Bernoullis': u'\u212c',
    u'Beta': u'\u0392',
    u'beta': u'\u03b2',
    u'beth': u'\u2136',
    u'between': u'\u226c',
    u'Bfr': '5\xd8\x05\xdd'.decode("utf-16-le"),
    u'bfr': '5\xd8\x1f\xdd'.decode("utf-16-le"),
    u'bigcap': u'\u22c2',
    u'bigcirc': u'\u25ef',
    u'bigcup': u'\u22c3',
    u'bigodot': u'\u2a00',
    u'bigoplus': u'\u2a01',
    u'bigotimes': u'\u2a02',
    u'bigsqcup': u'\u2a06',
    u'bigstar': u'\u2605',
    u'bigtriangledown': u'\u25bd',
    u'bigtriangleup': u'\u25b3',
    u'biguplus': u'\u2a04',
    u'bigvee': u'\u22c1',
    u'bigwedge': u'\u22c0',
    u'bkarow': u'\u290d',
    u'blacklozenge': u'\u29eb',
    u'blacksquare': u'\u25aa',
    u'blacktriangle': u'\u25b4',
    u'blacktriangledown': u'\u25be',
    u'blacktriangleleft': u'\u25c2',
    u'blacktriangleright': u'\u25b8',
    u'blank': u'\u2423',
    u'blk12': u'\u2592',
    u'blk14': u'\u2591',
    u'blk34': u'\u2593',
    u'block': u'\u2588',
    u'bne': u'=\u20e5',
    u'bnequiv': u'\u2261\u20e5',
    u'bNot': u'\u2aed',
    u'bnot': u'\u2310',
    u'Bopf': '5\xd89\xdd'.decode("utf-16-le"),
    u'bopf': '5\xd8S\xdd'.decode("utf-16-le"),
    u'bot': u'\u22a5',
    u'bottom': u'\u22a5',
    u'bowtie': u'\u22c8',
    u'boxbox': u'\u29c9',
    u'boxDL': u'\u2557',
    u'boxDl': u'\u2556',
    u'boxdL': u'\u2555',
    u'boxdl': u'\u2510',
    u'boxDR': u'\u2554',
    u'boxDr': u'\u2553',
    u'boxdR': u'\u2552',
    u'boxdr': u'\u250c',
    u'boxH': u'\u2550',
    u'boxh': u'\u2500',
    u'boxHD': u'\u2566',
    u'boxHd': u'\u2564',
    u'boxhD': u'\u2565',
    u'boxhd': u'\u252c',
    u'boxHU': u'\u2569',
    u'boxHu': u'\u2567',
    u'boxhU': u'\u2568',
    u'boxhu': u'\u2534',
    u'boxminus': u'\u229f',
    u'boxplus': u'\u229e',
    u'boxtimes': u'\u22a0',
    u'boxUL': u'\u255d',
    u'boxUl': u'\u255c',
    u'boxuL': u'\u255b',
    u'boxul': u'\u2518',
    u'boxUR': u'\u255a',
    u'boxUr': u'\u2559',
    u'boxuR': u'\u2558',
    u'boxur': u'\u2514',
    u'boxV': u'\u2551',
    u'boxv': u'\u2502',
    u'boxVH': u'\u256c',
    u'boxVh': u'\u256b',
    u'boxvH': u'\u256a',
    u'boxvh': u'\u253c',
    u'boxVL': u'\u2563',
    u'boxVl': u'\u2562',
    u'boxvL': u'\u2561',
    u'boxvl': u'\u2524',
    u'boxVR': u'\u2560',
    u'boxVr': u'\u255f',
    u'boxvR': u'\u255e',
    u'boxvr': u'\u251c',
    u'bprime': u'\u2035',
    u'Breve': u'\u02d8',
    u'breve': u'\u02d8',
    u'brvbar': u'\xa6',
    u'Bscr': u'\u212c',
    u'bscr': '5\xd8\xb7\xdc'.decode("utf-16-le"),
    u'bsemi': u'\u204f',
    u'bsim': u'\u223d',
    u'bsime': u'\u22cd',
    u'bsol': u'\\',
    u'bsolb': u'\u29c5',
    u'bsolhsub': u'\u27c8',
    u'bull': u'\u2022',
    u'bullet': u'\u2022',
    u'bump': u'\u224e',
    u'bumpE': u'\u2aae',
    u'bumpe': u'\u224f',
    u'Bumpeq': u'\u224e',
    u'bumpeq': u'\u224f',
    u'Cacute': u'\u0106',
    u'cacute': u'\u0107',
    u'Cap': u'\u22d2',
    u'cap': u'\u2229',
    u'capand': u'\u2a44',
    u'capbrcup': u'\u2a49',
    u'capcap': u'\u2a4b',
    u'capcup': u'\u2a47',
    u'capdot': u'\u2a40',
    u'CapitalDifferentialD': u'\u2145',
    u'caps': u'\u2229\ufe00',
    u'caret': u'\u2041',
    u'caron': u'\u02c7',
    u'Cayleys': u'\u212d',
    u'ccaps': u'\u2a4d',
    u'Ccaron': u'\u010c',
    u'ccaron': u'\u010d',
    u'Ccedil': u'\xc7',
    u'ccedil': u'\xe7',
    u'Ccirc': u'\u0108',
    u'ccirc': u'\u0109',
    u'Cconint': u'\u2230',
    u'ccups': u'\u2a4c',
    u'ccupssm': u'\u2a50',
    u'Cdot': u'\u010a',
    u'cdot': u'\u010b',
    u'cedil': u'\xb8',
    u'Cedilla': u'\xb8',
    u'cemptyv': u'\u29b2',
    u'cent': u'\xa2',
    u'CenterDot': u'\xb7',
    u'centerdot': u'\xb7',
    u'Cfr': u'\u212d',
    u'cfr': '5\xd8 \xdd'.decode("utf-16-le"),
    u'CHcy': u'\u0427',
    u'chcy': u'\u0447',
    u'check': u'\u2713',
    u'checkmark': u'\u2713',
    u'Chi': u'\u03a7',
    u'chi': u'\u03c7',
    u'cir': u'\u25cb',
    u'circ': u'\u02c6',
    u'circeq': u'\u2257',
    u'circlearrowleft': u'\u21ba',
    u'circlearrowright': u'\u21bb',
    u'circledast': u'\u229b',
    u'circledcirc': u'\u229a',
    u'circleddash': u'\u229d',
    u'CircleDot': u'\u2299',
    u'circledR': u'\xae',
    u'circledS': u'\u24c8',
    u'CircleMinus': u'\u2296',
    u'CirclePlus': u'\u2295',
    u'CircleTimes': u'\u2297',
    u'cirE': u'\u29c3',
    u'cire': u'\u2257',
    u'cirfnint': u'\u2a10',
    u'cirmid': u'\u2aef',
    u'cirscir': u'\u29c2',
    u'ClockwiseContourIntegral': u'\u2232',
    u'CloseCurlyDoubleQuote': u'\u201d',
    u'CloseCurlyQuote': u'\u2019',
    u'clubs': u'\u2663',
    u'clubsuit': u'\u2663',
    u'Colon': u'\u2237',
    u'colon': u':',
    u'Colone': u'\u2a74',
    u'colone': u'\u2254',
    u'coloneq': u'\u2254',
    u'comma': u',',
    u'commat': u'@',
    u'comp': u'\u2201',
    u'compfn': u'\u2218',
    u'complement': u'\u2201',
    u'complexes': u'\u2102',
    u'cong': u'\u2245',
    u'congdot': u'\u2a6d',
    u'Congruent': u'\u2261',
    u'Conint': u'\u222f',
    u'conint': u'\u222e',
    u'ContourIntegral': u'\u222e',
    u'Copf': u'\u2102',
    u'copf': '5\xd8T\xdd'.decode("utf-16-le"),
    u'coprod': u'\u2210',
    u'Coproduct': u'\u2210',
    u'COPY': u'\xa9',
    u'copy': u'\xa9',
    u'copysr': u'\u2117',
    u'CounterClockwiseContourIntegral': u'\u2233',
    u'crarr': u'\u21b5',
    u'Cross': u'\u2a2f',
    u'cross': u'\u2717',
    u'Cscr': '5\xd8\x9e\xdc'.decode("utf-16-le"),
    u'cscr': '5\xd8\xb8\xdc'.decode("utf-16-le"),
    u'csub': u'\u2acf',
    u'csube': u'\u2ad1',
    u'csup': u'\u2ad0',
    u'csupe': u'\u2ad2',
    u'ctdot': u'\u22ef',
    u'cudarrl': u'\u2938',
    u'cudarrr': u'\u2935',
    u'cuepr': u'\u22de',
    u'cuesc': u'\u22df',
    u'cularr': u'\u21b6',
    u'cularrp': u'\u293d',
    u'Cup': u'\u22d3',
    u'cup': u'\u222a',
    u'cupbrcap': u'\u2a48',
    u'CupCap': u'\u224d',
    u'cupcap': u'\u2a46',
    u'cupcup': u'\u2a4a',
    u'cupdot': u'\u228d',
    u'cupor': u'\u2a45',
    u'cups': u'\u222a\ufe00',
    u'curarr': u'\u21b7',
    u'curarrm': u'\u293c',
    u'curlyeqprec': u'\u22de',
    u'curlyeqsucc': u'\u22df',
    u'curlyvee': u'\u22ce',
    u'curlywedge': u'\u22cf',
    u'curren': u'\xa4',
    u'curvearrowleft': u'\u21b6',
    u'curvearrowright': u'\u21b7',
    u'cuvee': u'\u22ce',
    u'cuwed': u'\u22cf',
    u'cwconint': u'\u2232',
    u'cwint': u'\u2231',
    u'cylcty': u'\u232d',
    u'Dagger': u'\u2021',
    u'dagger': u'\u2020',
    u'daleth': u'\u2138',
    u'Darr': u'\u21a1',
    u'dArr': u'\u21d3',
    u'darr': u'\u2193',
    u'dash': u'\u2010',
    u'Dashv': u'\u2ae4',
    u'dashv': u'\u22a3',
    u'dbkarow': u'\u290f',
    u'dblac': u'\u02dd',
    u'Dcaron': u'\u010e',
    u'dcaron': u'\u010f',
    u'Dcy': u'\u0414',
    u'dcy': u'\u0434',
    u'DD': u'\u2145',
    u'dd': u'\u2146',
    u'ddagger': u'\u2021',
    u'ddarr': u'\u21ca',
    u'DDotrahd': u'\u2911',
    u'ddotseq': u'\u2a77',
    u'deg': u'\xb0',
    u'Del': u'\u2207',
    u'Delta': u'\u0394',
    u'delta': u'\u03b4',
    u'demptyv': u'\u29b1',
    u'dfisht': u'\u297f',
    u'Dfr': '5\xd8\x07\xdd'.decode("utf-16-le"),
    u'dfr': '5\xd8!\xdd'.decode("utf-16-le"),
    u'dHar': u'\u2965',
    u'dharl': u'\u21c3',
    u'dharr': u'\u21c2',
    u'DiacriticalAcute': u'\xb4',
    u'DiacriticalDot': u'\u02d9',
    u'DiacriticalDoubleAcute': u'\u02dd',
    u'DiacriticalGrave': u'`',
    u'DiacriticalTilde': u'\u02dc',
    u'diam': u'\u22c4',
    u'Diamond': u'\u22c4',
    u'diamond': u'\u22c4',
    u'diamondsuit': u'\u2666',
    u'diams': u'\u2666',
    u'die': u'\xa8',
    u'DifferentialD': u'\u2146',
    u'digamma': u'\u03dd',
    u'disin': u'\u22f2',
    u'div': u'\xf7',
    u'divide': u'\xf7',
    u'divideontimes': u'\u22c7',
    u'divonx': u'\u22c7',
    u'DJcy': u'\u0402',
    u'djcy': u'\u0452',
    u'dlcorn': u'\u231e',
    u'dlcrop': u'\u230d',
    u'dollar': u'$',
    u'Dopf': '5\xd8;\xdd'.decode("utf-16-le"),
    u'dopf': '5\xd8U\xdd'.decode("utf-16-le"),
    u'Dot': u'\xa8',
    u'dot': u'\u02d9',
    u'DotDot': u'\u20dc',
    u'doteq': u'\u2250',
    u'doteqdot': u'\u2251',
    u'DotEqual': u'\u2250',
    u'dotminus': u'\u2238',
    u'dotplus': u'\u2214',
    u'dotsquare': u'\u22a1',
    u'doublebarwedge': u'\u2306',
    u'DoubleContourIntegral': u'\u222f',
    u'DoubleDot': u'\xa8',
    u'DoubleDownArrow': u'\u21d3',
    u'DoubleLeftArrow': u'\u21d0',
    u'DoubleLeftRightArrow': u'\u21d4',
    u'DoubleLeftTee': u'\u2ae4',
    u'DoubleLongLeftArrow': u'\u27f8',
    u'DoubleLongLeftRightArrow': u'\u27fa',
    u'DoubleLongRightArrow': u'\u27f9',
    u'DoubleRightArrow': u'\u21d2',
    u'DoubleRightTee': u'\u22a8',
    u'DoubleUpArrow': u'\u21d1',
    u'DoubleUpDownArrow': u'\u21d5',
    u'DoubleVerticalBar': u'\u2225',
    u'DownArrow': u'\u2193',
    u'Downarrow': u'\u21d3',
    u'downarrow': u'\u2193',
    u'DownArrowBar': u'\u2913',
    u'DownArrowUpArrow': u'\u21f5',
    u'DownBreve': u'\u0311',
    u'downdownarrows': u'\u21ca',
    u'downharpoonleft': u'\u21c3',
    u'downharpoonright': u'\u21c2',
    u'DownLeftRightVector': u'\u2950',
    u'DownLeftTeeVector': u'\u295e',
    u'DownLeftVector': u'\u21bd',
    u'DownLeftVectorBar': u'\u2956',
    u'DownRightTeeVector': u'\u295f',
    u'DownRightVector': u'\u21c1',
    u'DownRightVectorBar': u'\u2957',
    u'DownTee': u'\u22a4',
    u'DownTeeArrow': u'\u21a7',
    u'drbkarow': u'\u2910',
    u'drcorn': u'\u231f',
    u'drcrop': u'\u230c',
    u'Dscr': '5\xd8\x9f\xdc'.decode("utf-16-le"),
    u'dscr': '5\xd8\xb9\xdc'.decode("utf-16-le"),
    u'DScy': u'\u0405',
    u'dscy': u'\u0455',
    u'dsol': u'\u29f6',
    u'Dstrok': u'\u0110',
    u'dstrok': u'\u0111',
    u'dtdot': u'\u22f1',
    u'dtri': u'\u25bf',
    u'dtrif': u'\u25be',
    u'duarr': u'\u21f5',
    u'duhar': u'\u296f',
    u'dwangle': u'\u29a6',
    u'DZcy': u'\u040f',
    u'dzcy': u'\u045f',
    u'dzigrarr': u'\u27ff',
    u'Eacute': u'\xc9',
    u'eacute': u'\xe9',
    u'easter': u'\u2a6e',
    u'Ecaron': u'\u011a',
    u'ecaron': u'\u011b',
    u'ecir': u'\u2256',
    u'Ecirc': u'\xca',
    u'ecirc': u'\xea',
    u'ecolon': u'\u2255',
    u'Ecy': u'\u042d',
    u'ecy': u'\u044d',
    u'eDDot': u'\u2a77',
    u'Edot': u'\u0116',
    u'eDot': u'\u2251',
    u'edot': u'\u0117',
    u'ee': u'\u2147',
    u'efDot': u'\u2252',
    u'Efr': '5\xd8\x08\xdd'.decode("utf-16-le"),
    u'efr': '5\xd8"\xdd'.decode("utf-16-le"),
    u'eg': u'\u2a9a',
    u'Egrave': u'\xc8',
    u'egrave': u'\xe8',
    u'egs': u'\u2a96',
    u'egsdot': u'\u2a98',
    u'el': u'\u2a99',
    u'Element': u'\u2208',
    u'elinters': u'\u23e7',
    u'ell': u'\u2113',
    u'els': u'\u2a95',
    u'elsdot': u'\u2a97',
    u'Emacr': u'\u0112',
    u'emacr': u'\u0113',
    u'empty': u'\u2205',
    u'emptyset': u'\u2205',
    u'EmptySmallSquare': u'\u25fb',
    u'emptyv': u'\u2205',
    u'EmptyVerySmallSquare': u'\u25ab',
    u'emsp13': u'\u2004',
    u'emsp14': u'\u2005',
    u'emsp': u'\u2003',
    u'ENG': u'\u014a',
    u'eng': u'\u014b',
    u'ensp': u'\u2002',
    u'Eogon': u'\u0118',
    u'eogon': u'\u0119',
    u'Eopf': '5\xd8<\xdd'.decode("utf-16-le"),
    u'eopf': '5\xd8V\xdd'.decode("utf-16-le"),
    u'epar': u'\u22d5',
    u'eparsl': u'\u29e3',
    u'eplus': u'\u2a71',
    u'epsi': u'\u03b5',
    u'Epsilon': u'\u0395',
    u'epsilon': u'\u03b5',
    u'epsiv': u'\u03f5',
    u'eqcirc': u'\u2256',
    u'eqcolon': u'\u2255',
    u'eqsim': u'\u2242',
    u'eqslantgtr': u'\u2a96',
    u'eqslantless': u'\u2a95',
    u'Equal': u'\u2a75',
    u'equals': u'=',
    u'EqualTilde': u'\u2242',
    u'equest': u'\u225f',
    u'Equilibrium': u'\u21cc',
    u'equiv': u'\u2261',
    u'equivDD': u'\u2a78',
    u'eqvparsl': u'\u29e5',
    u'erarr': u'\u2971',
    u'erDot': u'\u2253',
    u'Escr': u'\u2130',
    u'escr': u'\u212f',
    u'esdot': u'\u2250',
    u'Esim': u'\u2a73',
    u'esim': u'\u2242',
    u'Eta': u'\u0397',
    u'eta': u'\u03b7',
    u'ETH': u'\xd0',
    u'eth': u'\xf0',
    u'Euml': u'\xcb',
    u'euml': u'\xeb',
    u'euro': u'\u20ac',
    u'excl': u'!',
    u'exist': u'\u2203',
    u'Exists': u'\u2203',
    u'expectation': u'\u2130',
    u'ExponentialE': u'\u2147',
    u'exponentiale': u'\u2147',
    u'fallingdotseq': u'\u2252',
    u'Fcy': u'\u0424',
    u'fcy': u'\u0444',
    u'female': u'\u2640',
    u'ffilig': u'\ufb03',
    u'fflig': u'\ufb00',
    u'ffllig': u'\ufb04',
    u'Ffr': '5\xd8\t\xdd'.decode("utf-16-le"),
    u'ffr': '5\xd8#\xdd'.decode("utf-16-le"),
    u'filig': u'\ufb01',
    u'FilledSmallSquare': u'\u25fc',
    u'FilledVerySmallSquare': u'\u25aa',
    u'fjlig': u'fj',
    u'flat': u'\u266d',
    u'fllig': u'\ufb02',
    u'fltns': u'\u25b1',
    u'fnof': u'\u0192',
    u'Fopf': '5\xd8=\xdd'.decode("utf-16-le"),
    u'fopf': '5\xd8W\xdd'.decode("utf-16-le"),
    u'ForAll': u'\u2200',
    u'forall': u'\u2200',
    u'fork': u'\u22d4',
    u'forkv': u'\u2ad9',
    u'Fouriertrf': u'\u2131',
    u'fpartint': u'\u2a0d',
    u'frac12': u'\xbd',
    u'frac13': u'\u2153',
    u'frac14': u'\xbc',
    u'frac15': u'\u2155',
    u'frac16': u'\u2159',
    u'frac18': u'\u215b',
    u'frac23': u'\u2154',
    u'frac25': u'\u2156',
    u'frac34': u'\xbe',
    u'frac35': u'\u2157',
    u'frac38': u'\u215c',
    u'frac45': u'\u2158',
    u'frac56': u'\u215a',
    u'frac58': u'\u215d',
    u'frac78': u'\u215e',
    u'frasl': u'\u2044',
    u'frown': u'\u2322',
    u'Fscr': u'\u2131',
    u'fscr': '5\xd8\xbb\xdc'.decode("utf-16-le"),
    u'gacute': u'\u01f5',
    u'Gamma': u'\u0393',
    u'gamma': u'\u03b3',
    u'Gammad': u'\u03dc',
    u'gammad': u'\u03dd',
    u'gap': u'\u2a86',
    u'Gbreve': u'\u011e',
    u'gbreve': u'\u011f',
    u'Gcedil': u'\u0122',
    u'Gcirc': u'\u011c',
    u'gcirc': u'\u011d',
    u'Gcy': u'\u0413',
    u'gcy': u'\u0433',
    u'Gdot': u'\u0120',
    u'gdot': u'\u0121',
    u'gE': u'\u2267',
    u'ge': u'\u2265',
    u'gEl': u'\u2a8c',
    u'gel': u'\u22db',
    u'geq': u'\u2265',
    u'geqq': u'\u2267',
    u'geqslant': u'\u2a7e',
    u'ges': u'\u2a7e',
    u'gescc': u'\u2aa9',
    u'gesdot': u'\u2a80',
    u'gesdoto': u'\u2a82',
    u'gesdotol': u'\u2a84',
    u'gesl': u'\u22db\ufe00',
    u'gesles': u'\u2a94',
    u'Gfr': '5\xd8\n\xdd'.decode("utf-16-le"),
    u'gfr': '5\xd8$\xdd'.decode("utf-16-le"),
    u'Gg': u'\u22d9',
    u'gg': u'\u226b',
    u'ggg': u'\u22d9',
    u'gimel': u'\u2137',
    u'GJcy': u'\u0403',
    u'gjcy': u'\u0453',
    u'gl': u'\u2277',
    u'gla': u'\u2aa5',
    u'glE': u'\u2a92',
    u'glj': u'\u2aa4',
    u'gnap': u'\u2a8a',
    u'gnapprox': u'\u2a8a',
    u'gnE': u'\u2269',
    u'gne': u'\u2a88',
    u'gneq': u'\u2a88',
    u'gneqq': u'\u2269',
    u'gnsim': u'\u22e7',
    u'Gopf': '5\xd8>\xdd'.decode("utf-16-le"),
    u'gopf': '5\xd8X\xdd'.decode("utf-16-le"),
    u'grave': u'`',
    u'GreaterEqual': u'\u2265',
    u'GreaterEqualLess': u'\u22db',
    u'GreaterFullEqual': u'\u2267',
    u'GreaterGreater': u'\u2aa2',
    u'GreaterLess': u'\u2277',
    u'GreaterSlantEqual': u'\u2a7e',
    u'GreaterTilde': u'\u2273',
    u'Gscr': '5\xd8\xa2\xdc'.decode("utf-16-le"),
    u'gscr': u'\u210a',
    u'gsim': u'\u2273',
    u'gsime': u'\u2a8e',
    u'gsiml': u'\u2a90',
    u'GT': u'>',
    u'gt': u'>',
    u'Gt': u'\u226b',
    u'gtcc': u'\u2aa7',
    u'gtcir': u'\u2a7a',
    u'gtdot': u'\u22d7',
    u'gtlPar': u'\u2995',
    u'gtquest': u'\u2a7c',
    u'gtrapprox': u'\u2a86',
    u'gtrarr': u'\u2978',
    u'gtrdot': u'\u22d7',
    u'gtreqless': u'\u22db',
    u'gtreqqless': u'\u2a8c',
    u'gtrless': u'\u2277',
    u'gtrsim': u'\u2273',
    u'gvertneqq': u'\u2269\ufe00',
    u'gvnE': u'\u2269\ufe00',
    u'Hacek': u'\u02c7',
    u'hairsp': u'\u200a',
    u'half': u'\xbd',
    u'hamilt': u'\u210b',
    u'HARDcy': u'\u042a',
    u'hardcy': u'\u044a',
    u'hArr': u'\u21d4',
    u'harr': u'\u2194',
    u'harrcir': u'\u2948',
    u'harrw': u'\u21ad',
    u'Hat': u'^',
    u'hbar': u'\u210f',
    u'Hcirc': u'\u0124',
    u'hcirc': u'\u0125',
    u'hearts': u'\u2665',
    u'heartsuit': u'\u2665',
    u'hellip': u'\u2026',
    u'hercon': u'\u22b9',
    u'Hfr': u'\u210c',
    u'hfr': '5\xd8%\xdd'.decode("utf-16-le"),
    u'HilbertSpace': u'\u210b',
    u'hksearow': u'\u2925',
    u'hkswarow': u'\u2926',
    u'hoarr': u'\u21ff',
    u'homtht': u'\u223b',
    u'hookleftarrow': u'\u21a9',
    u'hookrightarrow': u'\u21aa',
    u'Hopf': u'\u210d',
    u'hopf': '5\xd8Y\xdd'.decode("utf-16-le"),
    u'horbar': u'\u2015',
    u'HorizontalLine': u'\u2500',
    u'Hscr': u'\u210b',
    u'hscr': '5\xd8\xbd\xdc'.decode("utf-16-le"),
    u'hslash': u'\u210f',
    u'Hstrok': u'\u0126',
    u'hstrok': u'\u0127',
    u'HumpDownHump': u'\u224e',
    u'HumpEqual': u'\u224f',
    u'hybull': u'\u2043',
    u'hyphen': u'\u2010',
    u'Iacute': u'\xcd',
    u'iacute': u'\xed',
    u'ic': u'\u2063',
    u'Icirc': u'\xce',
    u'icirc': u'\xee',
    u'Icy': u'\u0418',
    u'icy': u'\u0438',
    u'Idot': u'\u0130',
    u'IEcy': u'\u0415',
    u'iecy': u'\u0435',
    u'iexcl': u'\xa1',
    u'iff': u'\u21d4',
    u'Ifr': u'\u2111',
    u'ifr': '5\xd8&\xdd'.decode("utf-16-le"),
    u'Igrave': u'\xcc',
    u'igrave': u'\xec',
    u'ii': u'\u2148',
    u'iiiint': u'\u2a0c',
    u'iiint': u'\u222d',
    u'iinfin': u'\u29dc',
    u'iiota': u'\u2129',
    u'IJlig': u'\u0132',
    u'ijlig': u'\u0133',
    u'Im': u'\u2111',
    u'Imacr': u'\u012a',
    u'imacr': u'\u012b',
    u'image': u'\u2111',
    u'ImaginaryI': u'\u2148',
    u'imagline': u'\u2110',
    u'imagpart': u'\u2111',
    u'imath': u'\u0131',
    u'imof': u'\u22b7',
    u'imped': u'\u01b5',
    u'Implies': u'\u21d2',
    u'in': u'\u2208',
    u'incare': u'\u2105',
    u'infin': u'\u221e',
    u'infintie': u'\u29dd',
    u'inodot': u'\u0131',
    u'Int': u'\u222c',
    u'int': u'\u222b',
    u'intcal': u'\u22ba',
    u'integers': u'\u2124',
    u'Integral': u'\u222b',
    u'intercal': u'\u22ba',
    u'Intersection': u'\u22c2',
    u'intlarhk': u'\u2a17',
    u'intprod': u'\u2a3c',
    u'InvisibleComma': u'\u2063',
    u'InvisibleTimes': u'\u2062',
    u'IOcy': u'\u0401',
    u'iocy': u'\u0451',
    u'Iogon': u'\u012e',
    u'iogon': u'\u012f',
    u'Iopf': '5\xd8@\xdd'.decode("utf-16-le"),
    u'iopf': '5\xd8Z\xdd'.decode("utf-16-le"),
    u'Iota': u'\u0399',
    u'iota': u'\u03b9',
    u'iprod': u'\u2a3c',
    u'iquest': u'\xbf',
    u'Iscr': u'\u2110',
    u'iscr': '5\xd8\xbe\xdc'.decode("utf-16-le"),
    u'isin': u'\u2208',
    u'isindot': u'\u22f5',
    u'isinE': u'\u22f9',
    u'isins': u'\u22f4',
    u'isinsv': u'\u22f3',
    u'isinv': u'\u2208',
    u'it': u'\u2062',
    u'Itilde': u'\u0128',
    u'itilde': u'\u0129',
    u'Iukcy': u'\u0406',
    u'iukcy': u'\u0456',
    u'Iuml': u'\xcf',
    u'iuml': u'\xef',
    u'Jcirc': u'\u0134',
    u'jcirc': u'\u0135',
    u'Jcy': u'\u0419',
    u'jcy': u'\u0439',
    u'Jfr': '5\xd8\r\xdd'.decode("utf-16-le"),
    u'jfr': '5\xd8\'\xdd'.decode("utf-16-le"),
    u'jmath': u'\u0237',
    u'Jopf': '5\xd8A\xdd'.decode("utf-16-le"),
    u'jopf': '5\xd8[\xdd'.decode("utf-16-le"),
    u'Jscr': '5\xd8\xa5\xdc'.decode("utf-16-le"),
    u'jscr': '5\xd8\xbf\xdc'.decode("utf-16-le"),
    u'Jsercy': u'\u0408',
    u'jsercy': u'\u0458',
    u'Jukcy': u'\u0404',
    u'jukcy': u'\u0454',
    u'Kappa': u'\u039a',
    u'kappa': u'\u03ba',
    u'kappav': u'\u03f0',
    u'Kcedil': u'\u0136',
    u'kcedil': u'\u0137',
    u'Kcy': u'\u041a',
    u'kcy': u'\u043a',
    u'Kfr': '5\xd8\x0e\xdd'.decode("utf-16-le"),
    u'kfr': '5\xd8(\xdd'.decode("utf-16-le"),
    u'kgreen': u'\u0138',
    u'KHcy': u'\u0425',
    u'khcy': u'\u0445',
    u'KJcy': u'\u040c',
    u'kjcy': u'\u045c',
    u'Kopf': '5\xd8B\xdd'.decode("utf-16-le"),
    u'kopf': '5\xd8\\\xdd'.decode("utf-16-le"),
    u'Kscr': '5\xd8\xa6\xdc'.decode("utf-16-le"),
    u'kscr': '5\xd8\xc0\xdc'.decode("utf-16-le"),
    u'lAarr': u'\u21da',
    u'Lacute': u'\u0139',
    u'lacute': u'\u013a',
    u'laemptyv': u'\u29b4',
    u'lagran': u'\u2112',
    u'Lambda': u'\u039b',
    u'lambda': u'\u03bb',
    u'Lang': u'\u27ea',
    u'lang': u'\u27e8',
    u'langd': u'\u2991',
    u'langle': u'\u27e8',
    u'lap': u'\u2a85',
    u'Laplacetrf': u'\u2112',
    u'laquo': u'\xab',
    u'Larr': u'\u219e',
    u'lArr': u'\u21d0',
    u'larr': u'\u2190',
    u'larrb': u'\u21e4',
    u'larrbfs': u'\u291f',
    u'larrfs': u'\u291d',
    u'larrhk': u'\u21a9',
    u'larrlp': u'\u21ab',
    u'larrpl': u'\u2939',
    u'larrsim': u'\u2973',
    u'larrtl': u'\u21a2',
    u'lat': u'\u2aab',
    u'lAtail': u'\u291b',
    u'latail': u'\u2919',
    u'late': u'\u2aad',
    u'lates': u'\u2aad\ufe00',
    u'lBarr': u'\u290e',
    u'lbarr': u'\u290c',
    u'lbbrk': u'\u2772',
    u'lbrace': u'{',
    u'lbrack': u'[',
    u'lbrke': u'\u298b',
    u'lbrksld': u'\u298f',
    u'lbrkslu': u'\u298d',
    u'Lcaron': u'\u013d',
    u'lcaron': u'\u013e',
    u'Lcedil': u'\u013b',
    u'lcedil': u'\u013c',
    u'lceil': u'\u2308',
    u'lcub': u'{',
    u'Lcy': u'\u041b',
    u'lcy': u'\u043b',
    u'ldca': u'\u2936',
    u'ldquo': u'\u201c',
    u'ldquor': u'\u201e',
    u'ldrdhar': u'\u2967',
    u'ldrushar': u'\u294b',
    u'ldsh': u'\u21b2',
    u'lE': u'\u2266',
    u'le': u'\u2264',
    u'LeftAngleBracket': u'\u27e8',
    u'LeftArrow': u'\u2190',
    u'Leftarrow': u'\u21d0',
    u'leftarrow': u'\u2190',
    u'LeftArrowBar': u'\u21e4',
    u'LeftArrowRightArrow': u'\u21c6',
    u'leftarrowtail': u'\u21a2',
    u'LeftCeiling': u'\u2308',
    u'LeftDoubleBracket': u'\u27e6',
    u'LeftDownTeeVector': u'\u2961',
    u'LeftDownVector': u'\u21c3',
    u'LeftDownVectorBar': u'\u2959',
    u'LeftFloor': u'\u230a',
    u'leftharpoondown': u'\u21bd',
    u'leftharpoonup': u'\u21bc',
    u'leftleftarrows': u'\u21c7',
    u'LeftRightArrow': u'\u2194',
    u'Leftrightarrow': u'\u21d4',
    u'leftrightarrow': u'\u2194',
    u'leftrightarrows': u'\u21c6',
    u'leftrightharpoons': u'\u21cb',
    u'leftrightsquigarrow': u'\u21ad',
    u'LeftRightVector': u'\u294e',
    u'LeftTee': u'\u22a3',
    u'LeftTeeArrow': u'\u21a4',
    u'LeftTeeVector': u'\u295a',
    u'leftthreetimes': u'\u22cb',
    u'LeftTriangle': u'\u22b2',
    u'LeftTriangleBar': u'\u29cf',
    u'LeftTriangleEqual': u'\u22b4',
    u'LeftUpDownVector': u'\u2951',
    u'LeftUpTeeVector': u'\u2960',
    u'LeftUpVector': u'\u21bf',
    u'LeftUpVectorBar': u'\u2958',
    u'LeftVector': u'\u21bc',
    u'LeftVectorBar': u'\u2952',
    u'lEg': u'\u2a8b',
    u'leg': u'\u22da',
    u'leq': u'\u2264',
    u'leqq': u'\u2266',
    u'leqslant': u'\u2a7d',
    u'les': u'\u2a7d',
    u'lescc': u'\u2aa8',
    u'lesdot': u'\u2a7f',
    u'lesdoto': u'\u2a81',
    u'lesdotor': u'\u2a83',
    u'lesg': u'\u22da\ufe00',
    u'lesges': u'\u2a93',
    u'lessapprox': u'\u2a85',
    u'lessdot': u'\u22d6',
    u'lesseqgtr': u'\u22da',
    u'lesseqqgtr': u'\u2a8b',
    u'LessEqualGreater': u'\u22da',
    u'LessFullEqual': u'\u2266',
    u'LessGreater': u'\u2276',
    u'lessgtr': u'\u2276',
    u'LessLess': u'\u2aa1',
    u'lesssim': u'\u2272',
    u'LessSlantEqual': u'\u2a7d',
    u'LessTilde': u'\u2272',
    u'lfisht': u'\u297c',
    u'lfloor': u'\u230a',
    u'Lfr': '5\xd8\x0f\xdd'.decode("utf-16-le"),
    u'lfr': '5\xd8)\xdd'.decode("utf-16-le"),
    u'lg': u'\u2276',
    u'lgE': u'\u2a91',
    u'lHar': u'\u2962',
    u'lhard': u'\u21bd',
    u'lharu': u'\u21bc',
    u'lharul': u'\u296a',
    u'lhblk': u'\u2584',
    u'LJcy': u'\u0409',
    u'ljcy': u'\u0459',
    u'Ll': u'\u22d8',
    u'll': u'\u226a',
    u'llarr': u'\u21c7',
    u'llcorner': u'\u231e',
    u'Lleftarrow': u'\u21da',
    u'llhard': u'\u296b',
    u'lltri': u'\u25fa',
    u'Lmidot': u'\u013f',
    u'lmidot': u'\u0140',
    u'lmoust': u'\u23b0',
    u'lmoustache': u'\u23b0',
    u'lnap': u'\u2a89',
    u'lnapprox': u'\u2a89',
    u'lnE': u'\u2268',
    u'lne': u'\u2a87',
    u'lneq': u'\u2a87',
    u'lneqq': u'\u2268',
    u'lnsim': u'\u22e6',
    u'loang': u'\u27ec',
    u'loarr': u'\u21fd',
    u'lobrk': u'\u27e6',
    u'LongLeftArrow': u'\u27f5',
    u'Longleftarrow': u'\u27f8',
    u'longleftarrow': u'\u27f5',
    u'LongLeftRightArrow': u'\u27f7',
    u'Longleftrightarrow': u'\u27fa',
    u'longleftrightarrow': u'\u27f7',
    u'longmapsto': u'\u27fc',
    u'LongRightArrow': u'\u27f6',
    u'Longrightarrow': u'\u27f9',
    u'longrightarrow': u'\u27f6',
    u'looparrowleft': u'\u21ab',
    u'looparrowright': u'\u21ac',
    u'lopar': u'\u2985',
    u'Lopf': '5\xd8C\xdd'.decode("utf-16-le"),
    u'lopf': '5\xd8]\xdd'.decode("utf-16-le"),
    u'loplus': u'\u2a2d',
    u'lotimes': u'\u2a34',
    u'lowast': u'\u2217',
    u'lowbar': u'_',
    u'LowerLeftArrow': u'\u2199',
    u'LowerRightArrow': u'\u2198',
    u'loz': u'\u25ca',
    u'lozenge': u'\u25ca',
    u'lozf': u'\u29eb',
    u'lpar': u'(',
    u'lparlt': u'\u2993',
    u'lrarr': u'\u21c6',
    u'lrcorner': u'\u231f',
    u'lrhar': u'\u21cb',
    u'lrhard': u'\u296d',
    u'lrm': u'\u200e',
    u'lrtri': u'\u22bf',
    u'lsaquo': u'\u2039',
    u'Lscr': u'\u2112',
    u'lscr': '5\xd8\xc1\xdc'.decode("utf-16-le"),
    u'Lsh': u'\u21b0',
    u'lsh': u'\u21b0',
    u'lsim': u'\u2272',
    u'lsime': u'\u2a8d',
    u'lsimg': u'\u2a8f',
    u'lsqb': u'[',
    u'lsquo': u'\u2018',
    u'lsquor': u'\u201a',
    u'Lstrok': u'\u0141',
    u'lstrok': u'\u0142',
    u'LT': u'<',
    u'lt': u'<',
    u'Lt': u'\u226a',
    u'ltcc': u'\u2aa6',
    u'ltcir': u'\u2a79',
    u'ltdot': u'\u22d6',
    u'lthree': u'\u22cb',
    u'ltimes': u'\u22c9',
    u'ltlarr': u'\u2976',
    u'ltquest': u'\u2a7b',
    u'ltri': u'\u25c3',
    u'ltrie': u'\u22b4',
    u'ltrif': u'\u25c2',
    u'ltrPar': u'\u2996',
    u'lurdshar': u'\u294a',
    u'luruhar': u'\u2966',
    u'lvertneqq': u'\u2268\ufe00',
    u'lvnE': u'\u2268\ufe00',
    u'macr': u'\xaf',
    u'male': u'\u2642',
    u'malt': u'\u2720',
    u'maltese': u'\u2720',
    u'Map': u'\u2905',
    u'map': u'\u21a6',
    u'mapsto': u'\u21a6',
    u'mapstodown': u'\u21a7',
    u'mapstoleft': u'\u21a4',
    u'mapstoup': u'\u21a5',
    u'marker': u'\u25ae',
    u'mcomma': u'\u2a29',
    u'Mcy': u'\u041c',
    u'mcy': u'\u043c',
    u'mdash': u'\u2014',
    u'mDDot': u'\u223a',
    u'measuredangle': u'\u2221',
    u'MediumSpace': u'\u205f',
    u'Mellintrf': u'\u2133',
    u'Mfr': '5\xd8\x10\xdd'.decode("utf-16-le"),
    u'mfr': '5\xd8*\xdd'.decode("utf-16-le"),
    u'mho': u'\u2127',
    u'micro': u'\xb5',
    u'mid': u'\u2223',
    u'midast': u'*',
    u'midcir': u'\u2af0',
    u'middot': u'\xb7',
    u'minus': u'\u2212',
    u'minusb': u'\u229f',
    u'minusd': u'\u2238',
    u'minusdu': u'\u2a2a',
    u'MinusPlus': u'\u2213',
    u'mlcp': u'\u2adb',
    u'mldr': u'\u2026',
    u'mnplus': u'\u2213',
    u'models': u'\u22a7',
    u'Mopf': '5\xd8D\xdd'.decode("utf-16-le"),
    u'mopf': '5\xd8^\xdd'.decode("utf-16-le"),
    u'mp': u'\u2213',
    u'Mscr': u'\u2133',
    u'mscr': '5\xd8\xc2\xdc'.decode("utf-16-le"),
    u'mstpos': u'\u223e',
    u'Mu': u'\u039c',
    u'mu': u'\u03bc',
    u'multimap': u'\u22b8',
    u'mumap': u'\u22b8',
    u'nabla': u'\u2207',
    u'Nacute': u'\u0143',
    u'nacute': u'\u0144',
    u'nang': u'\u2220\u20d2',
    u'nap': u'\u2249',
    u'napE': u'\u2a70\u0338',
    u'napid': u'\u224b\u0338',
    u'napos': u'\u0149',
    u'napprox': u'\u2249',
    u'natur': u'\u266e',
    u'natural': u'\u266e',
    u'naturals': u'\u2115',
    u'nbsp': u'\xa0',
    u'nbump': u'\u224e\u0338',
    u'nbumpe': u'\u224f\u0338',
    u'ncap': u'\u2a43',
    u'Ncaron': u'\u0147',
    u'ncaron': u'\u0148',
    u'Ncedil': u'\u0145',
    u'ncedil': u'\u0146',
    u'ncong': u'\u2247',
    u'ncongdot': u'\u2a6d\u0338',
    u'ncup': u'\u2a42',
    u'Ncy': u'\u041d',
    u'ncy': u'\u043d',
    u'ndash': u'\u2013',
    u'ne': u'\u2260',
    u'nearhk': u'\u2924',
    u'neArr': u'\u21d7',
    u'nearr': u'\u2197',
    u'nearrow': u'\u2197',
    u'nedot': u'\u2250\u0338',
    u'NegativeMediumSpace': u'\u200b',
    u'NegativeThickSpace': u'\u200b',
    u'NegativeThinSpace': u'\u200b',
    u'NegativeVeryThinSpace': u'\u200b',
    u'nequiv': u'\u2262',
    u'nesear': u'\u2928',
    u'nesim': u'\u2242\u0338',
    u'NestedGreaterGreater': u'\u226b',
    u'NestedLessLess': u'\u226a',
    u'NewLine': u'\n',
    u'nexist': u'\u2204',
    u'nexists': u'\u2204',
    u'Nfr': '5\xd8\x11\xdd'.decode("utf-16-le"),
    u'nfr': '5\xd8+\xdd'.decode("utf-16-le"),
    u'ngE': u'\u2267\u0338',
    u'nge': u'\u2271',
    u'ngeq': u'\u2271',
    u'ngeqq': u'\u2267\u0338',
    u'ngeqslant': u'\u2a7e\u0338',
    u'nges': u'\u2a7e\u0338',
    u'nGg': u'\u22d9\u0338',
    u'ngsim': u'\u2275',
    u'nGt': u'\u226b\u20d2',
    u'ngt': u'\u226f',
    u'ngtr': u'\u226f',
    u'nGtv': u'\u226b\u0338',
    u'nhArr': u'\u21ce',
    u'nharr': u'\u21ae',
    u'nhpar': u'\u2af2',
    u'ni': u'\u220b',
    u'nis': u'\u22fc',
    u'nisd': u'\u22fa',
    u'niv': u'\u220b',
    u'NJcy': u'\u040a',
    u'njcy': u'\u045a',
    u'nlArr': u'\u21cd',
    u'nlarr': u'\u219a',
    u'nldr': u'\u2025',
    u'nlE': u'\u2266\u0338',
    u'nle': u'\u2270',
    u'nLeftarrow': u'\u21cd',
    u'nleftarrow': u'\u219a',
    u'nLeftrightarrow': u'\u21ce',
    u'nleftrightarrow': u'\u21ae',
    u'nleq': u'\u2270',
    u'nleqq': u'\u2266\u0338',
    u'nleqslant': u'\u2a7d\u0338',
    u'nles': u'\u2a7d\u0338',
    u'nless': u'\u226e',
    u'nLl': u'\u22d8\u0338',
    u'nlsim': u'\u2274',
    u'nLt': u'\u226a\u20d2',
    u'nlt': u'\u226e',
    u'nltri': u'\u22ea',
    u'nltrie': u'\u22ec',
    u'nLtv': u'\u226a\u0338',
    u'nmid': u'\u2224',
    u'NoBreak': u'\u2060',
    u'NonBreakingSpace': u'\xa0',
    u'Nopf': u'\u2115',
    u'nopf': '5\xd8_\xdd'.decode("utf-16-le"),
    u'not': u'\xac',
    u'Not': u'\u2aec',
    u'NotCongruent': u'\u2262',
    u'NotCupCap': u'\u226d',
    u'NotDoubleVerticalBar': u'\u2226',
    u'NotElement': u'\u2209',
    u'NotEqual': u'\u2260',
    u'NotEqualTilde': u'\u2242\u0338',
    u'NotExists': u'\u2204',
    u'NotGreater': u'\u226f',
    u'NotGreaterEqual': u'\u2271',
    u'NotGreaterFullEqual': u'\u2267\u0338',
    u'NotGreaterGreater': u'\u226b\u0338',
    u'NotGreaterLess': u'\u2279',
    u'NotGreaterSlantEqual': u'\u2a7e\u0338',
    u'NotGreaterTilde': u'\u2275',
    u'NotHumpDownHump': u'\u224e\u0338',
    u'NotHumpEqual': u'\u224f\u0338',
    u'notin': u'\u2209',
    u'notindot': u'\u22f5\u0338',
    u'notinE': u'\u22f9\u0338',
    u'notinva': u'\u2209',
    u'notinvb': u'\u22f7',
    u'notinvc': u'\u22f6',
    u'NotLeftTriangle': u'\u22ea',
    u'NotLeftTriangleBar': u'\u29cf\u0338',
    u'NotLeftTriangleEqual': u'\u22ec',
    u'NotLess': u'\u226e',
    u'NotLessEqual': u'\u2270',
    u'NotLessGreater': u'\u2278',
    u'NotLessLess': u'\u226a\u0338',
    u'NotLessSlantEqual': u'\u2a7d\u0338',
    u'NotLessTilde': u'\u2274',
    u'NotNestedGreaterGreater': u'\u2aa2\u0338',
    u'NotNestedLessLess': u'\u2aa1\u0338',
    u'notni': u'\u220c',
    u'notniva': u'\u220c',
    u'notnivb': u'\u22fe',
    u'notnivc': u'\u22fd',
    u'NotPrecedes': u'\u2280',
    u'NotPrecedesEqual': u'\u2aaf\u0338',
    u'NotPrecedesSlantEqual': u'\u22e0',
    u'NotReverseElement': u'\u220c',
    u'NotRightTriangle': u'\u22eb',
    u'NotRightTriangleBar': u'\u29d0\u0338',
    u'NotRightTriangleEqual': u'\u22ed',
    u'NotSquareSubset': u'\u228f\u0338',
    u'NotSquareSubsetEqual': u'\u22e2',
    u'NotSquareSuperset': u'\u2290\u0338',
    u'NotSquareSupersetEqual': u'\u22e3',
    u'NotSubset': u'\u2282\u20d2',
    u'NotSubsetEqual': u'\u2288',
    u'NotSucceeds': u'\u2281',
    u'NotSucceedsEqual': u'\u2ab0\u0338',
    u'NotSucceedsSlantEqual': u'\u22e1',
    u'NotSucceedsTilde': u'\u227f\u0338',
    u'NotSuperset': u'\u2283\u20d2',
    u'NotSupersetEqual': u'\u2289',
    u'NotTilde': u'\u2241',
    u'NotTildeEqual': u'\u2244',
    u'NotTildeFullEqual': u'\u2247',
    u'NotTildeTilde': u'\u2249',
    u'NotVerticalBar': u'\u2224',
    u'npar': u'\u2226',
    u'nparallel': u'\u2226',
    u'nparsl': u'\u2afd\u20e5',
    u'npart': u'\u2202\u0338',
    u'npolint': u'\u2a14',
    u'npr': u'\u2280',
    u'nprcue': u'\u22e0',
    u'npre': u'\u2aaf\u0338',
    u'nprec': u'\u2280',
    u'npreceq': u'\u2aaf\u0338',
    u'nrArr': u'\u21cf',
    u'nrarr': u'\u219b',
    u'nrarrc': u'\u2933\u0338',
    u'nrarrw': u'\u219d\u0338',
    u'nRightarrow': u'\u21cf',
    u'nrightarrow': u'\u219b',
    u'nrtri': u'\u22eb',
    u'nrtrie': u'\u22ed',
    u'nsc': u'\u2281',
    u'nsccue': u'\u22e1',
    u'nsce': u'\u2ab0\u0338',
    u'Nscr': '5\xd8\xa9\xdc'.decode("utf-16-le"),
    u'nscr': '5\xd8\xc3\xdc'.decode("utf-16-le"),
    u'nshortmid': u'\u2224',
    u'nshortparallel': u'\u2226',
    u'nsim': u'\u2241',
    u'nsime': u'\u2244',
    u'nsimeq': u'\u2244',
    u'nsmid': u'\u2224',
    u'nspar': u'\u2226',
    u'nsqsube': u'\u22e2',
    u'nsqsupe': u'\u22e3',
    u'nsub': u'\u2284',
    u'nsubE': u'\u2ac5\u0338',
    u'nsube': u'\u2288',
    u'nsubset': u'\u2282\u20d2',
    u'nsubseteq': u'\u2288',
    u'nsubseteqq': u'\u2ac5\u0338',
    u'nsucc': u'\u2281',
    u'nsucceq': u'\u2ab0\u0338',
    u'nsup': u'\u2285',
    u'nsupE': u'\u2ac6\u0338',
    u'nsupe': u'\u2289',
    u'nsupset': u'\u2283\u20d2',
    u'nsupseteq': u'\u2289',
    u'nsupseteqq': u'\u2ac6\u0338',
    u'ntgl': u'\u2279',
    u'Ntilde': u'\xd1',
    u'ntilde': u'\xf1',
    u'ntlg': u'\u2278',
    u'ntriangleleft': u'\u22ea',
    u'ntrianglelefteq': u'\u22ec',
    u'ntriangleright': u'\u22eb',
    u'ntrianglerighteq': u'\u22ed',
    u'Nu': u'\u039d',
    u'nu': u'\u03bd',
    u'num': u'#',
    u'numero': u'\u2116',
    u'numsp': u'\u2007',
    u'nvap': u'\u224d\u20d2',
    u'nVDash': u'\u22af',
    u'nVdash': u'\u22ae',
    u'nvDash': u'\u22ad',
    u'nvdash': u'\u22ac',
    u'nvge': u'\u2265\u20d2',
    u'nvgt': u'>\u20d2',
    u'nvHarr': u'\u2904',
    u'nvinfin': u'\u29de',
    u'nvlArr': u'\u2902',
    u'nvle': u'\u2264\u20d2',
    u'nvlt': u'<\u20d2',
    u'nvltrie': u'\u22b4\u20d2',
    u'nvrArr': u'\u2903',
    u'nvrtrie': u'\u22b5\u20d2',
    u'nvsim': u'\u223c\u20d2',
    u'nwarhk': u'\u2923',
    u'nwArr': u'\u21d6',
    u'nwarr': u'\u2196',
    u'nwarrow': u'\u2196',
    u'nwnear': u'\u2927',
    u'Oacute': u'\xd3',
    u'oacute': u'\xf3',
    u'oast': u'\u229b',
    u'ocir': u'\u229a',
    u'Ocirc': u'\xd4',
    u'ocirc': u'\xf4',
    u'Ocy': u'\u041e',
    u'ocy': u'\u043e',
    u'odash': u'\u229d',
    u'Odblac': u'\u0150',
    u'odblac': u'\u0151',
    u'odiv': u'\u2a38',
    u'odot': u'\u2299',
    u'odsold': u'\u29bc',
    u'OElig': u'\u0152',
    u'oelig': u'\u0153',
    u'ofcir': u'\u29bf',
    u'Ofr': '5\xd8\x12\xdd'.decode("utf-16-le"),
    u'ofr': '5\xd8,\xdd'.decode("utf-16-le"),
    u'ogon': u'\u02db',
    u'Ograve': u'\xd2',
    u'ograve': u'\xf2',
    u'ogt': u'\u29c1',
    u'ohbar': u'\u29b5',
    u'ohm': u'\u03a9',
    u'oint': u'\u222e',
    u'olarr': u'\u21ba',
    u'olcir': u'\u29be',
    u'olcross': u'\u29bb',
    u'oline': u'\u203e',
    u'olt': u'\u29c0',
    u'Omacr': u'\u014c',
    u'omacr': u'\u014d',
    u'Omega': u'\u03a9',
    u'omega': u'\u03c9',
    u'Omicron': u'\u039f',
    u'omicron': u'\u03bf',
    u'omid': u'\u29b6',
    u'ominus': u'\u2296',
    u'Oopf': '5\xd8F\xdd'.decode("utf-16-le"),
    u'oopf': '5\xd8`\xdd'.decode("utf-16-le"),
    u'opar': u'\u29b7',
    u'OpenCurlyDoubleQuote': u'\u201c',
    u'OpenCurlyQuote': u'\u2018',
    u'operp': u'\u29b9',
    u'oplus': u'\u2295',
    u'Or': u'\u2a54',
    u'or': u'\u2228',
    u'orarr': u'\u21bb',
    u'ord': u'\u2a5d',
    u'order': u'\u2134',
    u'orderof': u'\u2134',
    u'ordf': u'\xaa',
    u'ordm': u'\xba',
    u'origof': u'\u22b6',
    u'oror': u'\u2a56',
    u'orslope': u'\u2a57',
    u'orv': u'\u2a5b',
    u'oS': u'\u24c8',
    u'Oscr': '5\xd8\xaa\xdc'.decode("utf-16-le"),
    u'oscr': u'\u2134',
    u'Oslash': u'\xd8',
    u'oslash': u'\xf8',
    u'osol': u'\u2298',
    u'Otilde': u'\xd5',
    u'otilde': u'\xf5',
    u'Otimes': u'\u2a37',
    u'otimes': u'\u2297',
    u'otimesas': u'\u2a36',
    u'Ouml': u'\xd6',
    u'ouml': u'\xf6',
    u'ovbar': u'\u233d',
    u'OverBar': u'\u203e',
    u'OverBrace': u'\u23de',
    u'OverBracket': u'\u23b4',
    u'OverParenthesis': u'\u23dc',
    u'par': u'\u2225',
    u'para': u'\xb6',
    u'parallel': u'\u2225',
    u'parsim': u'\u2af3',
    u'parsl': u'\u2afd',
    u'part': u'\u2202',
    u'PartialD': u'\u2202',
    u'Pcy': u'\u041f',
    u'pcy': u'\u043f',
    u'percnt': u'%',
    u'period': u'.',
    u'permil': u'\u2030',
    u'perp': u'\u22a5',
    u'pertenk': u'\u2031',
    u'Pfr': '5\xd8\x13\xdd'.decode("utf-16-le"),
    u'pfr': '5\xd8-\xdd'.decode("utf-16-le"),
    u'Phi': u'\u03a6',
    u'phi': u'\u03c6',
    u'phiv': u'\u03d5',
    u'phmmat': u'\u2133',
    u'phone': u'\u260e',
    u'Pi': u'\u03a0',
    u'pi': u'\u03c0',
    u'pitchfork': u'\u22d4',
    u'piv': u'\u03d6',
    u'planck': u'\u210f',
    u'planckh': u'\u210e',
    u'plankv': u'\u210f',
    u'plus': u'+',
    u'plusacir': u'\u2a23',
    u'plusb': u'\u229e',
    u'pluscir': u'\u2a22',
    u'plusdo': u'\u2214',
    u'plusdu': u'\u2a25',
    u'pluse': u'\u2a72',
    u'PlusMinus': u'\xb1',
    u'plusmn': u'\xb1',
    u'plussim': u'\u2a26',
    u'plustwo': u'\u2a27',
    u'pm': u'\xb1',
    u'Poincareplane': u'\u210c',
    u'pointint': u'\u2a15',
    u'Popf': u'\u2119',
    u'popf': '5\xd8a\xdd'.decode("utf-16-le"),
    u'pound': u'\xa3',
    u'Pr': u'\u2abb',
    u'pr': u'\u227a',
    u'prap': u'\u2ab7',
    u'prcue': u'\u227c',
    u'prE': u'\u2ab3',
    u'pre': u'\u2aaf',
    u'prec': u'\u227a',
    u'precapprox': u'\u2ab7',
    u'preccurlyeq': u'\u227c',
    u'Precedes': u'\u227a',
    u'PrecedesEqual': u'\u2aaf',
    u'PrecedesSlantEqual': u'\u227c',
    u'PrecedesTilde': u'\u227e',
    u'preceq': u'\u2aaf',
    u'precnapprox': u'\u2ab9',
    u'precneqq': u'\u2ab5',
    u'precnsim': u'\u22e8',
    u'precsim': u'\u227e',
    u'Prime': u'\u2033',
    u'prime': u'\u2032',
    u'primes': u'\u2119',
    u'prnap': u'\u2ab9',
    u'prnE': u'\u2ab5',
    u'prnsim': u'\u22e8',
    u'prod': u'\u220f',
    u'Product': u'\u220f',
    u'profalar': u'\u232e',
    u'profline': u'\u2312',
    u'profsurf': u'\u2313',
    u'prop': u'\u221d',
    u'Proportion': u'\u2237',
    u'Proportional': u'\u221d',
    u'propto': u'\u221d',
    u'prsim': u'\u227e',
    u'prurel': u'\u22b0',
    u'Pscr': '5\xd8\xab\xdc'.decode("utf-16-le"),
    u'pscr': '5\xd8\xc5\xdc'.decode("utf-16-le"),
    u'Psi': u'\u03a8',
    u'psi': u'\u03c8',
    u'puncsp': u'\u2008',
    u'Qfr': '5\xd8\x14\xdd'.decode("utf-16-le"),
    u'qfr': '5\xd8.\xdd'.decode("utf-16-le"),
    u'qint': u'\u2a0c',
    u'Qopf': u'\u211a',
    u'qopf': '5\xd8b\xdd'.decode("utf-16-le"),
    u'qprime': u'\u2057',
    u'Qscr': '5\xd8\xac\xdc'.decode("utf-16-le"),
    u'qscr': '5\xd8\xc6\xdc'.decode("utf-16-le"),
    u'quaternions': u'\u210d',
    u'quatint': u'\u2a16',
    u'quest': u'?',
    u'questeq': u'\u225f',
    u'QUOT': u'"',
    u'quot': u'"',
    u'rAarr': u'\u21db',
    u'race': u'\u223d\u0331',
    u'Racute': u'\u0154',
    u'racute': u'\u0155',
    u'radic': u'\u221a',
    u'raemptyv': u'\u29b3',
    u'Rang': u'\u27eb',
    u'rang': u'\u27e9',
    u'rangd': u'\u2992',
    u'range': u'\u29a5',
    u'rangle': u'\u27e9',
    u'raquo': u'\xbb',
    u'Rarr': u'\u21a0',
    u'rArr': u'\u21d2',
    u'rarr': u'\u2192',
    u'rarrap': u'\u2975',
    u'rarrb': u'\u21e5',
    u'rarrbfs': u'\u2920',
    u'rarrc': u'\u2933',
    u'rarrfs': u'\u291e',
    u'rarrhk': u'\u21aa',
    u'rarrlp': u'\u21ac',
    u'rarrpl': u'\u2945',
    u'rarrsim': u'\u2974',
    u'Rarrtl': u'\u2916',
    u'rarrtl': u'\u21a3',
    u'rarrw': u'\u219d',
    u'rAtail': u'\u291c',
    u'ratail': u'\u291a',
    u'ratio': u'\u2236',
    u'rationals': u'\u211a',
    u'RBarr': u'\u2910',
    u'rBarr': u'\u290f',
    u'rbarr': u'\u290d',
    u'rbbrk': u'\u2773',
    u'rbrace': u'}',
    u'rbrack': u']',
    u'rbrke': u'\u298c',
    u'rbrksld': u'\u298e',
    u'rbrkslu': u'\u2990',
    u'Rcaron': u'\u0158',
    u'rcaron': u'\u0159',
    u'Rcedil': u'\u0156',
    u'rcedil': u'\u0157',
    u'rceil': u'\u2309',
    u'rcub': u'}',
    u'Rcy': u'\u0420',
    u'rcy': u'\u0440',
    u'rdca': u'\u2937',
    u'rdldhar': u'\u2969',
    u'rdquo': u'\u201d',
    u'rdquor': u'\u201d',
    u'rdsh': u'\u21b3',
    u'Re': u'\u211c',
    u'real': u'\u211c',
    u'realine': u'\u211b',
    u'realpart': u'\u211c',
    u'reals': u'\u211d',
    u'rect': u'\u25ad',
    u'REG': u'\xae',
    u'reg': u'\xae',
    u'ReverseElement': u'\u220b',
    u'ReverseEquilibrium': u'\u21cb',
    u'ReverseUpEquilibrium': u'\u296f',
    u'rfisht': u'\u297d',
    u'rfloor': u'\u230b',
    u'Rfr': u'\u211c',
    u'rfr': '5\xd8/\xdd'.decode("utf-16-le"),
    u'rHar': u'\u2964',
    u'rhard': u'\u21c1',
    u'rharu': u'\u21c0',
    u'rharul': u'\u296c',
    u'Rho': u'\u03a1',
    u'rho': u'\u03c1',
    u'rhov': u'\u03f1',
    u'RightAngleBracket': u'\u27e9',
    u'RightArrow': u'\u2192',
    u'Rightarrow': u'\u21d2',
    u'rightarrow': u'\u2192',
    u'RightArrowBar': u'\u21e5',
    u'RightArrowLeftArrow': u'\u21c4',
    u'rightarrowtail': u'\u21a3',
    u'RightCeiling': u'\u2309',
    u'RightDoubleBracket': u'\u27e7',
    u'RightDownTeeVector': u'\u295d',
    u'RightDownVector': u'\u21c2',
    u'RightDownVectorBar': u'\u2955',
    u'RightFloor': u'\u230b',
    u'rightharpoondown': u'\u21c1',
    u'rightharpoonup': u'\u21c0',
    u'rightleftarrows': u'\u21c4',
    u'rightleftharpoons': u'\u21cc',
    u'rightrightarrows': u'\u21c9',
    u'rightsquigarrow': u'\u219d',
    u'RightTee': u'\u22a2',
    u'RightTeeArrow': u'\u21a6',
    u'RightTeeVector': u'\u295b',
    u'rightthreetimes': u'\u22cc',
    u'RightTriangle': u'\u22b3',
    u'RightTriangleBar': u'\u29d0',
    u'RightTriangleEqual': u'\u22b5',
    u'RightUpDownVector': u'\u294f',
    u'RightUpTeeVector': u'\u295c',
    u'RightUpVector': u'\u21be',
    u'RightUpVectorBar': u'\u2954',
    u'RightVector': u'\u21c0',
    u'RightVectorBar': u'\u2953',
    u'ring': u'\u02da',
    u'risingdotseq': u'\u2253',
    u'rlarr': u'\u21c4',
    u'rlhar': u'\u21cc',
    u'rlm': u'\u200f',
    u'rmoust': u'\u23b1',
    u'rmoustache': u'\u23b1',
    u'rnmid': u'\u2aee',
    u'roang': u'\u27ed',
    u'roarr': u'\u21fe',
    u'robrk': u'\u27e7',
    u'ropar': u'\u2986',
    u'Ropf': u'\u211d',
    u'ropf': '5\xd8c\xdd'.decode("utf-16-le"),
    u'roplus': u'\u2a2e',
    u'rotimes': u'\u2a35',
    u'RoundImplies': u'\u2970',
    u'rpar': u')',
    u'rpargt': u'\u2994',
    u'rppolint': u'\u2a12',
    u'rrarr': u'\u21c9',
    u'Rrightarrow': u'\u21db',
    u'rsaquo': u'\u203a',
    u'Rscr': u'\u211b',
    u'rscr': '5\xd8\xc7\xdc'.decode("utf-16-le"),
    u'Rsh': u'\u21b1',
    u'rsh': u'\u21b1',
    u'rsqb': u']',
    u'rsquo': u'\u2019',
    u'rsquor': u'\u2019',
    u'rthree': u'\u22cc',
    u'rtimes': u'\u22ca',
    u'rtri': u'\u25b9',
    u'rtrie': u'\u22b5',
    u'rtrif': u'\u25b8',
    u'rtriltri': u'\u29ce',
    u'RuleDelayed': u'\u29f4',
    u'ruluhar': u'\u2968',
    u'rx': u'\u211e',
    u'Sacute': u'\u015a',
    u'sacute': u'\u015b',
    u'sbquo': u'\u201a',
    u'Sc': u'\u2abc',
    u'sc': u'\u227b',
    u'scap': u'\u2ab8',
    u'Scaron': u'\u0160',
    u'scaron': u'\u0161',
    u'sccue': u'\u227d',
    u'scE': u'\u2ab4',
    u'sce': u'\u2ab0',
    u'Scedil': u'\u015e',
    u'scedil': u'\u015f',
    u'Scirc': u'\u015c',
    u'scirc': u'\u015d',
    u'scnap': u'\u2aba',
    u'scnE': u'\u2ab6',
    u'scnsim': u'\u22e9',
    u'scpolint': u'\u2a13',
    u'scsim': u'\u227f',
    u'Scy': u'\u0421',
    u'scy': u'\u0441',
    u'sdot': u'\u22c5',
    u'sdotb': u'\u22a1',
    u'sdote': u'\u2a66',
    u'searhk': u'\u2925',
    u'seArr': u'\u21d8',
    u'searr': u'\u2198',
    u'searrow': u'\u2198',
    u'sect': u'\xa7',
    u'semi': u';',
    u'seswar': u'\u2929',
    u'setminus': u'\u2216',
    u'setmn': u'\u2216',
    u'sext': u'\u2736',
    u'Sfr': '5\xd8\x16\xdd'.decode("utf-16-le"),
    u'sfr': '5\xd80\xdd'.decode("utf-16-le"),
    u'sfrown': u'\u2322',
    u'sharp': u'\u266f',
    u'SHCHcy': u'\u0429',
    u'shchcy': u'\u0449',
    u'SHcy': u'\u0428',
    u'shcy': u'\u0448',
    u'ShortDownArrow': u'\u2193',
    u'ShortLeftArrow': u'\u2190',
    u'shortmid': u'\u2223',
    u'shortparallel': u'\u2225',
    u'ShortRightArrow': u'\u2192',
    u'ShortUpArrow': u'\u2191',
    u'shy': u'\xad',
    u'Sigma': u'\u03a3',
    u'sigma': u'\u03c3',
    u'sigmaf': u'\u03c2',
    u'sigmav': u'\u03c2',
    u'sim': u'\u223c',
    u'simdot': u'\u2a6a',
    u'sime': u'\u2243',
    u'simeq': u'\u2243',
    u'simg': u'\u2a9e',
    u'simgE': u'\u2aa0',
    u'siml': u'\u2a9d',
    u'simlE': u'\u2a9f',
    u'simne': u'\u2246',
    u'simplus': u'\u2a24',
    u'simrarr': u'\u2972',
    u'slarr': u'\u2190',
    u'SmallCircle': u'\u2218',
    u'smallsetminus': u'\u2216',
    u'smashp': u'\u2a33',
    u'smeparsl': u'\u29e4',
    u'smid': u'\u2223',
    u'smile': u'\u2323',
    u'smt': u'\u2aaa',
    u'smte': u'\u2aac',
    u'smtes': u'\u2aac\ufe00',
    u'SOFTcy': u'\u042c',
    u'softcy': u'\u044c',
    u'sol': u'/',
    u'solb': u'\u29c4',
    u'solbar': u'\u233f',
    u'Sopf': '5\xd8J\xdd'.decode("utf-16-le"),
    u'sopf': '5\xd8d\xdd'.decode("utf-16-le"),
    u'spades': u'\u2660',
    u'spadesuit': u'\u2660',
    u'spar': u'\u2225',
    u'sqcap': u'\u2293',
    u'sqcaps': u'\u2293\ufe00',
    u'sqcup': u'\u2294',
    u'sqcups': u'\u2294\ufe00',
    u'Sqrt': u'\u221a',
    u'sqsub': u'\u228f',
    u'sqsube': u'\u2291',
    u'sqsubset': u'\u228f',
    u'sqsubseteq': u'\u2291',
    u'sqsup': u'\u2290',
    u'sqsupe': u'\u2292',
    u'sqsupset': u'\u2290',
    u'sqsupseteq': u'\u2292',
    u'squ': u'\u25a1',
    u'Square': u'\u25a1',
    u'square': u'\u25a1',
    u'SquareIntersection': u'\u2293',
    u'SquareSubset': u'\u228f',
    u'SquareSubsetEqual': u'\u2291',
    u'SquareSuperset': u'\u2290',
    u'SquareSupersetEqual': u'\u2292',
    u'SquareUnion': u'\u2294',
    u'squarf': u'\u25aa',
    u'squf': u'\u25aa',
    u'srarr': u'\u2192',
    u'Sscr': '5\xd8\xae\xdc'.decode("utf-16-le"),
    u'sscr': '5\xd8\xc8\xdc'.decode("utf-16-le"),
    u'ssetmn': u'\u2216',
    u'ssmile': u'\u2323',
    u'sstarf': u'\u22c6',
    u'Star': u'\u22c6',
    u'star': u'\u2606',
    u'starf': u'\u2605',
    u'straightepsilon': u'\u03f5',
    u'straightphi': u'\u03d5',
    u'strns': u'\xaf',
    u'Sub': u'\u22d0',
    u'sub': u'\u2282',
    u'subdot': u'\u2abd',
    u'subE': u'\u2ac5',
    u'sube': u'\u2286',
    u'subedot': u'\u2ac3',
    u'submult': u'\u2ac1',
    u'subnE': u'\u2acb',
    u'subne': u'\u228a',
    u'subplus': u'\u2abf',
    u'subrarr': u'\u2979',
    u'Subset': u'\u22d0',
    u'subset': u'\u2282',
    u'subseteq': u'\u2286',
    u'subseteqq': u'\u2ac5',
    u'SubsetEqual': u'\u2286',
    u'subsetneq': u'\u228a',
    u'subsetneqq': u'\u2acb',
    u'subsim': u'\u2ac7',
    u'subsub': u'\u2ad5',
    u'subsup': u'\u2ad3',
    u'succ': u'\u227b',
    u'succapprox': u'\u2ab8',
    u'succcurlyeq': u'\u227d',
    u'Succeeds': u'\u227b',
    u'SucceedsEqual': u'\u2ab0',
    u'SucceedsSlantEqual': u'\u227d',
    u'SucceedsTilde': u'\u227f',
    u'succeq': u'\u2ab0',
    u'succnapprox': u'\u2aba',
    u'succneqq': u'\u2ab6',
    u'succnsim': u'\u22e9',
    u'succsim': u'\u227f',
    u'SuchThat': u'\u220b',
    u'Sum': u'\u2211',
    u'sum': u'\u2211',
    u'sung': u'\u266a',
    u'sup1': u'\xb9',
    u'sup2': u'\xb2',
    u'sup3': u'\xb3',
    u'Sup': u'\u22d1',
    u'sup': u'\u2283',
    u'supdot': u'\u2abe',
    u'supdsub': u'\u2ad8',
    u'supE': u'\u2ac6',
    u'supe': u'\u2287',
    u'supedot': u'\u2ac4',
    u'Superset': u'\u2283',
    u'SupersetEqual': u'\u2287',
    u'suphsol': u'\u27c9',
    u'suphsub': u'\u2ad7',
    u'suplarr': u'\u297b',
    u'supmult': u'\u2ac2',
    u'supnE': u'\u2acc',
    u'supne': u'\u228b',
    u'supplus': u'\u2ac0',
    u'Supset': u'\u22d1',
    u'supset': u'\u2283',
    u'supseteq': u'\u2287',
    u'supseteqq': u'\u2ac6',
    u'supsetneq': u'\u228b',
    u'supsetneqq': u'\u2acc',
    u'supsim': u'\u2ac8',
    u'supsub': u'\u2ad4',
    u'supsup': u'\u2ad6',
    u'swarhk': u'\u2926',
    u'swArr': u'\u21d9',
    u'swarr': u'\u2199',
    u'swarrow': u'\u2199',
    u'swnwar': u'\u292a',
    u'szlig': u'\xdf',
    u'Tab': u'\t',
    u'target': u'\u2316',
    u'Tau': u'\u03a4',
    u'tau': u'\u03c4',
    u'tbrk': u'\u23b4',
    u'Tcaron': u'\u0164',
    u'tcaron': u'\u0165',
    u'Tcedil': u'\u0162',
    u'tcedil': u'\u0163',
    u'Tcy': u'\u0422',
    u'tcy': u'\u0442',
    u'tdot': u'\u20db',
    u'telrec': u'\u2315',
    u'Tfr': '5\xd8\x17\xdd'.decode("utf-16-le"),
    u'tfr': '5\xd81\xdd'.decode("utf-16-le"),
    u'there4': u'\u2234',
    u'Therefore': u'\u2234',
    u'therefore': u'\u2234',
    u'Theta': u'\u0398',
    u'theta': u'\u03b8',
    u'thetasym': u'\u03d1',
    u'thetav': u'\u03d1',
    u'thickapprox': u'\u2248',
    u'thicksim': u'\u223c',
    u'ThickSpace': u'\u205f\u200a',
    u'thinsp': u'\u2009',
    u'ThinSpace': u'\u2009',
    u'thkap': u'\u2248',
    u'thksim': u'\u223c',
    u'THORN': u'\xde',
    u'thorn': u'\xfe',
    u'Tilde': u'\u223c',
    u'tilde': u'\u02dc',
    u'TildeEqual': u'\u2243',
    u'TildeFullEqual': u'\u2245',
    u'TildeTilde': u'\u2248',
    u'times': u'\xd7',
    u'timesb': u'\u22a0',
    u'timesbar': u'\u2a31',
    u'timesd': u'\u2a30',
    u'tint': u'\u222d',
    u'toea': u'\u2928',
    u'top': u'\u22a4',
    u'topbot': u'\u2336',
    u'topcir': u'\u2af1',
    u'Topf': '5\xd8K\xdd'.decode("utf-16-le"),
    u'topf': '5\xd8e\xdd'.decode("utf-16-le"),
    u'topfork': u'\u2ada',
    u'tosa': u'\u2929',
    u'tprime': u'\u2034',
    u'TRADE': u'\u2122',
    u'trade': u'\u2122',
    u'triangle': u'\u25b5',
    u'triangledown': u'\u25bf',
    u'triangleleft': u'\u25c3',
    u'trianglelefteq': u'\u22b4',
    u'triangleq': u'\u225c',
    u'triangleright': u'\u25b9',
    u'trianglerighteq': u'\u22b5',
    u'tridot': u'\u25ec',
    u'trie': u'\u225c',
    u'triminus': u'\u2a3a',
    u'TripleDot': u'\u20db',
    u'triplus': u'\u2a39',
    u'trisb': u'\u29cd',
    u'tritime': u'\u2a3b',
    u'trpezium': u'\u23e2',
    u'Tscr': '5\xd8\xaf\xdc'.decode("utf-16-le"),
    u'tscr': '5\xd8\xc9\xdc'.decode("utf-16-le"),
    u'TScy': u'\u0426',
    u'tscy': u'\u0446',
    u'TSHcy': u'\u040b',
    u'tshcy': u'\u045b',
    u'Tstrok': u'\u0166',
    u'tstrok': u'\u0167',
    u'twixt': u'\u226c',
    u'twoheadleftarrow': u'\u219e',
    u'twoheadrightarrow': u'\u21a0',
    u'Uacute': u'\xda',
    u'uacute': u'\xfa',
    u'Uarr': u'\u219f',
    u'uArr': u'\u21d1',
    u'uarr': u'\u2191',
    u'Uarrocir': u'\u2949',
    u'Ubrcy': u'\u040e',
    u'ubrcy': u'\u045e',
    u'Ubreve': u'\u016c',
    u'ubreve': u'\u016d',
    u'Ucirc': u'\xdb',
    u'ucirc': u'\xfb',
    u'Ucy': u'\u0423',
    u'ucy': u'\u0443',
    u'udarr': u'\u21c5',
    u'Udblac': u'\u0170',
    u'udblac': u'\u0171',
    u'udhar': u'\u296e',
    u'ufisht': u'\u297e',
    u'Ufr': '5\xd8\x18\xdd'.decode("utf-16-le"),
    u'ufr': '5\xd82\xdd'.decode("utf-16-le"),
    u'Ugrave': u'\xd9',
    u'ugrave': u'\xf9',
    u'uHar': u'\u2963',
    u'uharl': u'\u21bf',
    u'uharr': u'\u21be',
    u'uhblk': u'\u2580',
    u'ulcorn': u'\u231c',
    u'ulcorner': u'\u231c',
    u'ulcrop': u'\u230f',
    u'ultri': u'\u25f8',
    u'Umacr': u'\u016a',
    u'umacr': u'\u016b',
    u'uml': u'\xa8',
    u'UnderBar': u'_',
    u'UnderBrace': u'\u23df',
    u'UnderBracket': u'\u23b5',
    u'UnderParenthesis': u'\u23dd',
    u'Union': u'\u22c3',
    u'UnionPlus': u'\u228e',
    u'Uogon': u'\u0172',
    u'uogon': u'\u0173',
    u'Uopf': '5\xd8L\xdd'.decode("utf-16-le"),
    u'uopf': '5\xd8f\xdd'.decode("utf-16-le"),
    u'UpArrow': u'\u2191',
    u'Uparrow': u'\u21d1',
    u'uparrow': u'\u2191',
    u'UpArrowBar': u'\u2912',
    u'UpArrowDownArrow': u'\u21c5',
    u'UpDownArrow': u'\u2195',
    u'Updownarrow': u'\u21d5',
    u'updownarrow': u'\u2195',
    u'UpEquilibrium': u'\u296e',
    u'upharpoonleft': u'\u21bf',
    u'upharpoonright': u'\u21be',
    u'uplus': u'\u228e',
    u'UpperLeftArrow': u'\u2196',
    u'UpperRightArrow': u'\u2197',
    u'Upsi': u'\u03d2',
    u'upsi': u'\u03c5',
    u'upsih': u'\u03d2',
    u'Upsilon': u'\u03a5',
    u'upsilon': u'\u03c5',
    u'UpTee': u'\u22a5',
    u'UpTeeArrow': u'\u21a5',
    u'upuparrows': u'\u21c8',
    u'urcorn': u'\u231d',
    u'urcorner': u'\u231d',
    u'urcrop': u'\u230e',
    u'Uring': u'\u016e',
    u'uring': u'\u016f',
    u'urtri': u'\u25f9',
    u'Uscr': '5\xd8\xb0\xdc'.decode("utf-16-le"),
    u'uscr': '5\xd8\xca\xdc'.decode("utf-16-le"),
    u'utdot': u'\u22f0',
    u'Utilde': u'\u0168',
    u'utilde': u'\u0169',
    u'utri': u'\u25b5',
    u'utrif': u'\u25b4',
    u'uuarr': u'\u21c8',
    u'Uuml': u'\xdc',
    u'uuml': u'\xfc',
    u'uwangle': u'\u29a7',
    u'vangrt': u'\u299c',
    u'varepsilon': u'\u03f5',
    u'varkappa': u'\u03f0',
    u'varnothing': u'\u2205',
    u'varphi': u'\u03d5',
    u'varpi': u'\u03d6',
    u'varpropto': u'\u221d',
    u'vArr': u'\u21d5',
    u'varr': u'\u2195',
    u'varrho': u'\u03f1',
    u'varsigma': u'\u03c2',
    u'varsubsetneq': u'\u228a\ufe00',
    u'varsubsetneqq': u'\u2acb\ufe00',
    u'varsupsetneq': u'\u228b\ufe00',
    u'varsupsetneqq': u'\u2acc\ufe00',
    u'vartheta': u'\u03d1',
    u'vartriangleleft': u'\u22b2',
    u'vartriangleright': u'\u22b3',
    u'Vbar': u'\u2aeb',
    u'vBar': u'\u2ae8',
    u'vBarv': u'\u2ae9',
    u'Vcy': u'\u0412',
    u'vcy': u'\u0432',
    u'VDash': u'\u22ab',
    u'Vdash': u'\u22a9',
    u'vDash': u'\u22a8',
    u'vdash': u'\u22a2',
    u'Vdashl': u'\u2ae6',
    u'Vee': u'\u22c1',
    u'vee': u'\u2228',
    u'veebar': u'\u22bb',
    u'veeeq': u'\u225a',
    u'vellip': u'\u22ee',
    u'Verbar': u'\u2016',
    u'verbar': u'|',
    u'Vert': u'\u2016',
    u'vert': u'|',
    u'VerticalBar': u'\u2223',
    u'VerticalLine': u'|',
    u'VerticalSeparator': u'\u2758',
    u'VerticalTilde': u'\u2240',
    u'VeryThinSpace': u'\u200a',
    u'Vfr': '5\xd8\x19\xdd'.decode("utf-16-le"),
    u'vfr': '5\xd83\xdd'.decode("utf-16-le"),
    u'vltri': u'\u22b2',
    u'vnsub': u'\u2282\u20d2',
    u'vnsup': u'\u2283\u20d2',
    u'Vopf': '5\xd8M\xdd'.decode("utf-16-le"),
    u'vopf': '5\xd8g\xdd'.decode("utf-16-le"),
    u'vprop': u'\u221d',
    u'vrtri': u'\u22b3',
    u'Vscr': '5\xd8\xb1\xdc'.decode("utf-16-le"),
    u'vscr': '5\xd8\xcb\xdc'.decode("utf-16-le"),
    u'vsubnE': u'\u2acb\ufe00',
    u'vsubne': u'\u228a\ufe00',
    u'vsupnE': u'\u2acc\ufe00',
    u'vsupne': u'\u228b\ufe00',
    u'Vvdash': u'\u22aa',
    u'vzigzag': u'\u299a',
    u'Wcirc': u'\u0174',
    u'wcirc': u'\u0175',
    u'wedbar': u'\u2a5f',
    u'Wedge': u'\u22c0',
    u'wedge': u'\u2227',
    u'wedgeq': u'\u2259',
    u'weierp': u'\u2118',
    u'Wfr': '5\xd8\x1a\xdd'.decode("utf-16-le"),
    u'wfr': '5\xd84\xdd'.decode("utf-16-le"),
    u'Wopf': '5\xd8N\xdd'.decode("utf-16-le"),
    u'wopf': '5\xd8h\xdd'.decode("utf-16-le"),
    u'wp': u'\u2118',
    u'wr': u'\u2240',
    u'wreath': u'\u2240',
    u'Wscr': '5\xd8\xb2\xdc'.decode("utf-16-le"),
    u'wscr': '5\xd8\xcc\xdc'.decode("utf-16-le"),
    u'xcap': u'\u22c2',
    u'xcirc': u'\u25ef',
    u'xcup': u'\u22c3',
    u'xdtri': u'\u25bd',
    u'Xfr': '5\xd8\x1b\xdd'.decode("utf-16-le"),
    u'xfr': '5\xd85\xdd'.decode("utf-16-le"),
    u'xhArr': u'\u27fa',
    u'xharr': u'\u27f7',
    u'Xi': u'\u039e',
    u'xi': u'\u03be',
    u'xlArr': u'\u27f8',
    u'xlarr': u'\u27f5',
    u'xmap': u'\u27fc',
    u'xnis': u'\u22fb',
    u'xodot': u'\u2a00',
    u'Xopf': '5\xd8O\xdd'.decode("utf-16-le"),
    u'xopf': '5\xd8i\xdd'.decode("utf-16-le"),
    u'xoplus': u'\u2a01',
    u'xotime': u'\u2a02',
    u'xrArr': u'\u27f9',
    u'xrarr': u'\u27f6',
    u'Xscr': '5\xd8\xb3\xdc'.decode("utf-16-le"),
    u'xscr': '5\xd8\xcd\xdc'.decode("utf-16-le"),
    u'xsqcup': u'\u2a06',
    u'xuplus': u'\u2a04',
    u'xutri': u'\u25b3',
    u'xvee': u'\u22c1',
    u'xwedge': u'\u22c0',
    u'Yacute': u'\xdd',
    u'yacute': u'\xfd',
    u'YAcy': u'\u042f',
    u'yacy': u'\u044f',
    u'Ycirc': u'\u0176',
    u'ycirc': u'\u0177',
    u'Ycy': u'\u042b',
    u'ycy': u'\u044b',
    u'yen': u'\xa5',
    u'Yfr': '5\xd8\x1c\xdd'.decode("utf-16-le"),
    u'yfr': '5\xd86\xdd'.decode("utf-16-le"),
    u'YIcy': u'\u0407',
    u'yicy': u'\u0457',
    u'Yopf': '5\xd8P\xdd'.decode("utf-16-le"),
    u'yopf': '5\xd8j\xdd'.decode("utf-16-le"),
    u'Yscr': '5\xd8\xb4\xdc'.decode("utf-16-le"),
    u'yscr': '5\xd8\xce\xdc'.decode("utf-16-le"),
    u'YUcy': u'\u042e',
    u'yucy': u'\u044e',
    u'yuml': u'\xff',
    u'Yuml': u'\u0178',
    u'Zacute': u'\u0179',
    u'zacute': u'\u017a',
    u'Zcaron': u'\u017d',
    u'zcaron': u'\u017e',
    u'Zcy': u'\u0417',
    u'zcy': u'\u0437',
    u'Zdot': u'\u017b',
    u'zdot': u'\u017c',
    u'zeetrf': u'\u2128',
    u'ZeroWidthSpace': u'\u200b',
    u'Zeta': u'\u0396',
    u'zeta': u'\u03b6',
    u'Zfr': u'\u2128',
    u'zfr': '5\xd87\xdd'.decode("utf-16-le"),
    u'ZHcy': u'\u0416',
    u'zhcy': u'\u0436',
    u'zigrarr': u'\u21dd',
    u'Zopf': u'\u2124',
    u'zopf': '5\xd8k\xdd'.decode("utf-16-le"),
    u'Zscr': '5\xd8\xb5\xdc'.decode("utf-16-le"),
    u'zscr': '5\xd8\xcf\xdc'.decode("utf-16-le"),
    u'zwj': u'\u200d',
    u'zwnj': u'\u200c',
}
